picard.vcf.filter

## Class QdFilter

- java.lang.Object
- - picard.vcf.filter.QdFilter

- All Implemented Interfaces:
    VariantFilter

      public class QdFilter
      extends Object
      implements VariantFilter

  Filters out sites that have a QD annotation applied to them and where the QD value is lower than a lower limit.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `FILTER_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `QdFilter(double minimumQd)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `filter(htsjdk.variant.variantcontext.VariantContext ctx)` Check to see if the VariantContext should have a filter applied to it.
    `List<htsjdk.variant.vcf.VCFFilterHeaderLine>` | `headerLines()` Return VCF header lines that define filters that may be applied by the VariantFilter.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FILTER_NAME

          public static final String FILTER_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### QdFilter

          public QdFilter(double minimumQd)

  - ### Method Detail

    - #### filter

          public String filter(htsjdk.variant.variantcontext.VariantContext ctx)

      Description copied from interface: `VariantFilter`
      Check to see if the VariantContext should have a filter applied to it. If so return the filter string, otherwise return null.
      Specified by:
        `filter` in interface `VariantFilter`

    - #### headerLines

          public List<htsjdk.variant.vcf.VCFFilterHeaderLine> headerLines()

      Description copied from interface: `VariantFilter`
      Return VCF header lines that define filters that may be applied by the VariantFilter.
      Specified by:
        `headerLines` in interface `VariantFilter`